diff --git a/game/client/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java b/game/client/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java
index bd8c5a664..583e9b488 100644
--- a/game/client/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java
+++ b/game/client/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java
@@ -21,138 +21,139 @@ import net.minecraft.core.world.pos.TilePos;
 
 public class ChunkRendererMultiDraw extends ChunkRenderer {
 
-	public final TerrainRendererMultiDraw terrainRenderer;
-	public final Entry[] renderListEntries;
-	
-	public ChunkRendererMultiDraw(TerrainRendererMultiDraw terrainRenderer, World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
-		super(world, globalRenderableTileEntities, x, y, z, size, lists);
-		
-		if(terrainRenderer == null) {
-			throw new NullPointerException("TerrainRenderer is null!");
-		}
-		
-		this.terrainRenderer = terrainRenderer;
-		this.renderListEntries = new Entry[terrainRenderer.MAX_RENDER_PASSES];
-	}
-	
-	@Override
-	public boolean rebuild(boolean priority) {
-		if(!dirty) {
-			return false;
-		}
-		
-		final int minX = posX;
-		final int minY = posY;
-		final int minZ = posZ;
-		
-		final int maxX = posX + sizeX;
-		final int maxY = posY + sizeY;
-		final int maxZ = posZ + sizeZ;
-		
-		final int renderPassCount = terrainRenderer.MAX_RENDER_PASSES;
-
-		final int cacheRadius = 1;
-		final ChunkCache chunkCache = new ChunkCache(world, new TilePos(minX - cacheRadius, minY - cacheRadius, minZ - cacheRadius), new TilePos(maxX + cacheRadius, maxY + cacheRadius, maxZ + cacheRadius), priority);
-		if (!chunkCache.allLoaded()) return false;
-
-		terrainRenderer.chunkDeleted(this);
-		Chunk.isLit = false;
-		final Set<TileEntity> lastSpecialTileEntities = new HashSet<>(renderableBlockEntities);
-		renderableBlockEntities.clear();
-
-		updates++;
-
-		TessellatorStandard tessellator = (TessellatorStandard) Tessellator.instance;
-		for(int renderPass = 0; renderPass < renderPassCount; renderPass++) {
-			boolean needsMoreRenderPasses = false;
-			boolean hasRenderedBlock = false;
-			boolean hasStartedDrawing = false;
-
-			for(int y = minY; y < maxY; y++) {
-				for(int z = minZ; z < maxZ; z++) {
-					for(int x = minX; x < maxX; x++) {
-						final int blockId = chunkCache.getBlockId(x, y, z);
-						if(blockId <= 0) {
-							continue;
-						}
-						if(!hasStartedDrawing) {
-							hasStartedDrawing = true;
-							tessellator.startDrawingQuads();
+    public final TerrainRendererMultiDraw terrainRenderer;
+    public final Entry[] renderListEntries;
+
+    public ChunkRendererMultiDraw(TerrainRendererMultiDraw terrainRenderer, World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
+        super(world, globalRenderableTileEntities, x, y, z, size, lists);
+
+        if (terrainRenderer == null) {
+            throw new NullPointerException("TerrainRenderer is null!");
+        }
+
+        this.terrainRenderer = terrainRenderer;
+        this.renderListEntries = new Entry[terrainRenderer.MAX_RENDER_PASSES];
+    }
+
+    @Override
+    public boolean rebuild(boolean priority) {
+        if (!this.dirty) {
+            return false;
+        }
+
+        final int minX = this.posX;
+        final int minY = this.posY;
+        final int minZ = this.posZ;
+
+        final int maxX = this.posX + this.sizeX;
+        final int maxY = this.posY + this.sizeY;
+        final int maxZ = this.posZ + this.sizeZ;
+
+        final int renderPassCount = this.terrainRenderer.MAX_RENDER_PASSES;
+
+        final int cacheRadius = 1;
+        final ChunkCache chunkCache = new ChunkCache(this.world, new TilePos(minX - cacheRadius, minY - cacheRadius, minZ - cacheRadius), new TilePos(maxX + cacheRadius, maxY + cacheRadius, maxZ + cacheRadius), priority);
+        if (!chunkCache.allLoaded()) return false;
+
+        this.terrainRenderer.chunkDeleted(this);
+        Chunk.isLit = false;
+        final Set<TileEntity> lastSpecialTileEntities = new HashSet<>(this.renderableBlockEntities);
+        this.renderableBlockEntities.clear();
+
+        updates++;
+
+        TessellatorStandard tessellator = Tessellator.instance;
+        for (int renderPass = 0; renderPass < renderPassCount; renderPass++) {
+            boolean needsMoreRenderPasses = false;
+            boolean hasRenderedBlock = false;
+            boolean hasStartedDrawing = false;
+
+            TilePos pos = new TilePos(0, 0, 0);
+            for (pos.y = minY; pos.y < maxY; pos.y++) {
+                for (pos.z = minZ; pos.z < maxZ; pos.z++) {
+                    for (pos.x = minX; pos.x < maxX; pos.x++) {
+                        final int blockId = chunkCache.getBlockId(pos);
+                        if (blockId <= 0) {
+                            continue;
+                        }
+                        if (!hasStartedDrawing) {
+                            hasStartedDrawing = true;
+                            tessellator.startDrawingQuads();
 //							tessellator.setTranslation(-this.posX, -this.posY, -this.posZ);
-							
-							RenderRegion region = terrainRenderer.getRenderRegionAtBlockPos(posX, posZ);
-							tessellator.setTranslation(-(region.posX << terrainRenderer.REGION_SIZE), 0.0, -(region.posZ << terrainRenderer.REGION_SIZE));
-							
-							if(LightmapHelper.isLightmapEnabled()) {
-								// Make sure it's active
-								tessellator.setLightmapCoord(LightmapHelper.getLightmapCoord(15, 15));
-							}
-							tessellator.setColorRGBA(255, 255, 255, 255);
-							tessellator.setTextureUV(0.0, 0.0);
-						}
-						if(renderPass == 0 && Blocks.isEntityTile[blockId]) {
-							final TileEntity tileentity = chunkCache.getTileEntity(x, y, z);
-							if(TileEntityRenderDispatcher.instance.hasRenderer(tileentity)) {
-								renderableBlockEntities.add(tileentity);
-							}
-						}
-						final BlockModel<?> model = BlockModelDispatcher.getInstance().getDispatch(Blocks.blocksList[blockId]);
-						final int blockRenderPass = model.renderLayer();
-						
-						if(blockRenderPass != renderPass) {
-							needsMoreRenderPasses = true;
-							continue;
-						}
-						
-						hasRenderedBlock |= renderBlock(tessellator, world, model, x, y, z);
-					}
-				}
-			}
-			if(hasStartedDrawing) {
-				terrainRenderer.chunkRendered(this, tessellator, renderPass);
-				tessellator.setTranslation(0.0, 0.0, 0.0);
-			}else {
-				hasRenderedBlock = false;
-			}
-
-			if(hasRenderedBlock) {
-				empty[renderPass] = false;
-			}
-			if(!needsMoreRenderPasses) {
-				break;
-			}
-		}
-		
-		HashSet<TileEntity> newSpecialTileEntities = new HashSet<>(renderableBlockEntities);
-		newSpecialTileEntities.removeAll(lastSpecialTileEntities);
-		globalRenderableBlockEntities.addAll(newSpecialTileEntities);
-		renderableBlockEntities.forEach(lastSpecialTileEntities::remove);
-		globalRenderableBlockEntities.removeAll(lastSpecialTileEntities);
-		skyLit = Chunk.isLit;
-		compiled = true;
-		return true;
-	}
-	
-	@Override
-	public void cull(CameraFrustum frustum, float partialTick) {
-		boolean wasVisible = this.visible;
-		super.cull(frustum, partialTick);
-		if(wasVisible != visible) {
-			terrainRenderer.chunkVisibilityChanged(this);
-		}
-	}
-	
-	@Override
-	public void reset() {
-		// TerrainRenderer is null during initialization
-		if(terrainRenderer != null) {
-			terrainRenderer.chunkDeleted(this);	
-		}
-		super.reset();
-	}
-	
-	@Override
-	public String toString() {
-		return "[" + posX + "," + posY + "," + posZ + "]";
-	}
+
+                            RenderRegion region = this.terrainRenderer.getRenderRegionAtBlockPos(this.posX, this.posZ);
+                            tessellator.setTranslation(-(region.posX << this.terrainRenderer.REGION_SIZE), 0.0, -(region.posZ << this.terrainRenderer.REGION_SIZE));
+
+                            if (LightmapHelper.isLightmapEnabled()) {
+                                // Make sure it's active
+                                tessellator.setLightmapCoord(LightmapHelper.getLightmapCoord(15, 15));
+                            }
+                            tessellator.setColorRGBA(255, 255, 255, 255);
+                            tessellator.setTextureUV(0.0, 0.0);
+                        }
+                        if (renderPass == 0 && Blocks.isEntityTile[blockId]) {
+                            final TileEntity tileentity = chunkCache.getTileEntity(pos);
+                            if (tileentity != null && TileEntityRenderDispatcher.instance.hasRenderer(tileentity)) {
+                                this.renderableBlockEntities.add(tileentity);
+                            }
+                        }
+                        final BlockModel<?> model = BlockModelDispatcher.getInstance().getDispatch(Blocks.blocksList[blockId]);
+                        final int blockRenderPass = model.renderLayer();
+
+                        if (blockRenderPass != renderPass) {
+                            needsMoreRenderPasses = true;
+                            continue;
+                        }
+
+                        hasRenderedBlock |= renderBlock(tessellator, this.world, model, pos);
+                    }
+                }
+            }
+            if (hasStartedDrawing) {
+                this.terrainRenderer.chunkRendered(this, tessellator, renderPass);
+                tessellator.setTranslation(0.0, 0.0, 0.0);
+            } else {
+                hasRenderedBlock = false;
+            }
+
+            if (hasRenderedBlock) {
+                this.empty[renderPass] = false;
+            }
+            if (!needsMoreRenderPasses) {
+                break;
+            }
+        }
+
+        HashSet<TileEntity> newSpecialTileEntities = new HashSet<>(this.renderableBlockEntities);
+        newSpecialTileEntities.removeAll(lastSpecialTileEntities);
+        this.globalRenderableBlockEntities.addAll(newSpecialTileEntities);
+        this.renderableBlockEntities.forEach(lastSpecialTileEntities::remove);
+        this.globalRenderableBlockEntities.removeAll(lastSpecialTileEntities);
+        this.skyLit = Chunk.isLit;
+        this.compiled = true;
+        return true;
+    }
+
+    @Override
+    public void cull(CameraFrustum frustum, float partialTick) {
+        boolean wasVisible = this.visible;
+        super.cull(frustum, partialTick);
+        if (wasVisible != this.visible) {
+            this.terrainRenderer.chunkVisibilityChanged(this);
+        }
+    }
+
+    @Override
+    public void reset() {
+        // TerrainRenderer is null during initialization
+        if (this.terrainRenderer != null) {
+            this.terrainRenderer.chunkDeleted(this);
+        }
+        super.reset();
+    }
+
+    @Override
+    public String toString() {
+        return "[" + this.posX + "," + this.posY + "," + this.posZ + "]";
+    }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMovingPiston.java b/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMovingPiston.java
index 5f981884b..b319d7bf8 100644
--- a/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMovingPiston.java
+++ b/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMovingPiston.java
@@ -15,69 +15,61 @@ import net.minecraft.core.block.piston.BlockLogicPistonBaseSteel;
 import net.minecraft.core.block.piston.BlockLogicPistonHead;
 import net.minecraft.core.block.piston.TileEntityMovingPistonBlock;
 import net.minecraft.core.world.BlocksContainer;
+import net.minecraft.core.world.pos.TilePos;
 import org.lwjgl.opengl.GL11;
 
-public class TileEntityRendererMovingPiston extends TileEntityRenderer<TileEntityMovingPistonBlock>
-{
+public class TileEntityRendererMovingPiston extends TileEntityRenderer<TileEntityMovingPistonBlock> {
     private final Minecraft mc;
 
     private BlocksContainer container = null;
 
-    public TileEntityRendererMovingPiston()
-    {
-        mc = Minecraft.getMinecraft();
+    public TileEntityRendererMovingPiston() {
+        this.mc = Minecraft.getMinecraft();
     }
 
     @Override
-	public void doRender(Tessellator tessellator, TileEntityMovingPistonBlock tileEntity, double x, double y, double z,
-                         float partialTick)
-    {
+    public void doRender(Tessellator tessellator, TileEntityMovingPistonBlock tileEntity, double x, double y, double z,
+                         float partialTick) {
         Block<?> block = Blocks.getBlock(tileEntity.getMovedId());
-        if(block != null && tileEntity.getProgress(partialTick) < 1.0F)
-        {
-            if (container == null || container.world != tileEntity.worldObj) {
-                container = new BlocksContainer(tileEntity.worldObj);
+        if (block != null && tileEntity.getProgress(partialTick) < 1.0F) {
+            if (this.container == null || this.container.world != tileEntity.worldObj) {
+                this.container = new BlocksContainer(tileEntity.worldObj);
             }
+            TilePos tileEntPos = new TilePos(tileEntity.x, tileEntity.y, tileEntity.z);
             TextureRegistry.blockAtlas.bind();
             Lighting.disable();
             GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
             GL11.glEnable(GL11.GL_BLEND);
             GL11.glDisable(GL11.GL_CULL_FACE);
-            if(mc.isAmbientOcclusionEnabled())
-            {
+            if (this.mc.isAmbientOcclusionEnabled()) {
                 GL11.glShadeModel(GL11.GL_SMOOTH);
-            } else
-            {
+            } else {
                 GL11.glShadeModel(GL11.GL_FLAT);
             }
             tessellator.startDrawingQuads();
-            tessellator.setTranslation(((float)x - (float)tileEntity.x) + tileEntity.getXOff(partialTick), ((float)y - (float)tileEntity.y) + tileEntity.getYOff(partialTick), ((float)z - (float)tileEntity.z) + tileEntity.getZOff(partialTick));
-            if(Block.hasLogicClass(block, BlockLogicPistonHead.class) && tileEntity.getProgress(partialTick) < 0.5F)
-            {
-                ((BlockModelPistonHead)BlockModelDispatcher.getInstance().getDispatch(block)).renderPistonHeadNoCulling(tessellator, tileEntity.worldObj, (Block<BlockLogicPistonHead>) block, tileEntity.x, tileEntity.y, tileEntity.z, false);
-            } else
-            if(tileEntity.isSourcePiston() && !tileEntity.isExtending())
-            {
+            tessellator.setTranslation(((float) x - (float) tileEntity.x) + tileEntity.getXOff(partialTick), ((float) y - (float) tileEntity.y) + tileEntity.getYOff(partialTick), ((float) z - (float) tileEntity.z) + tileEntity.getZOff(partialTick));
+            if (Block.hasLogicClass(block, BlockLogicPistonHead.class) && tileEntity.getProgress(partialTick) < 0.5F) {
+                ((BlockModelPistonHead) BlockModelDispatcher.getInstance().getDispatch(block)).renderPistonHeadNoCulling(tessellator, tileEntity.worldObj, (Block<BlockLogicPistonHead>) block, tileEntPos, false);
+            } else if (tileEntity.isSourcePiston() && !tileEntity.isExtending()) {
                 BlockModelPiston<?> pistonBase = (BlockModelPiston<?>) BlockModelDispatcher.getInstance().getDispatch(block);
                 if (Block.hasLogicClass(block, BlockLogicPistonBaseSteel.class)) { // Todo remove this terrible hardcoded render code
                     BlockModelPistonHead blockModelPistonHead = ((BlockModelPistonHead) BlockModelDispatcher.getInstance().getDispatch(Blocks.PISTON_HEAD_STEEL));
                     blockModelPistonHead.setFaceTextureOverride(pistonBase.getFaceTexture());
-                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, tileEntity.worldObj, Blocks.PISTON_HEAD_STEEL, tileEntity.x, tileEntity.y, tileEntity.z, tileEntity.getProgress(partialTick) < 0.5F);
+                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, tileEntity.worldObj, Blocks.PISTON_HEAD_STEEL, tileEntPos, tileEntity.getProgress(partialTick) < 0.5F);
                     blockModelPistonHead.setFaceTextureOverride(null);
                 } else {
                     BlockModelPistonHead blockModelPistonHead = ((BlockModelPistonHead) BlockModelDispatcher.getInstance().getDispatch(Blocks.PISTON_HEAD));
                     blockModelPistonHead.setFaceTextureOverride(pistonBase.getFaceTexture());
-                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, tileEntity.worldObj, Blocks.PISTON_HEAD, tileEntity.x, tileEntity.y, tileEntity.z, tileEntity.getProgress(partialTick) < 0.5F);
+                    blockModelPistonHead.renderPistonHeadNoCulling(tessellator, tileEntity.worldObj, Blocks.PISTON_HEAD, tileEntPos, tileEntity.getProgress(partialTick) < 0.5F);
                     blockModelPistonHead.setFaceTextureOverride(null);
                 }
-                tessellator.setTranslation((float)x - (float)tileEntity.x, (float)y - (float)tileEntity.y, (float)z - (float)tileEntity.z);
-                pistonBase.renderHeadless(tessellator, tileEntity.worldObj, tileEntity.x, tileEntity.y, tileEntity.z);
-            } else
-            {
-                container.setBlock(tileEntity.x, tileEntity.y, tileEntity.z, block.id(), tileEntity.getMovedData(), tileEntity.getMovedEntity());
-                BlockModelDispatcher.getInstance().getDispatch(block).renderNoCulling(tessellator, container, tileEntity.x, tileEntity.y, tileEntity.z);
-                container.setLightReferenceEntity(null);
-                container.clear();
+                tessellator.setTranslation((float) x - (float) tileEntity.x, (float) y - (float) tileEntity.y, (float) z - (float) tileEntity.z);
+                pistonBase.renderHeadless(tessellator, tileEntity.worldObj, tileEntPos);
+            } else {
+                this.container.setBlock(tileEntity.x, tileEntity.y, tileEntity.z, block.id(), tileEntity.getMovedData(), tileEntity.getMovedEntity());
+                BlockModelDispatcher.getInstance().getDispatch(block).renderNoCulling(tessellator, this.container, tileEntPos);
+                this.container.setLightReferenceEntity(null);
+                this.container.clear();
             }
             tessellator.setTranslation(0.0D, 0.0D, 0.0D);
             tessellator.draw();
diff --git a/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererSign.java b/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererSign.java
index 1ef003815..2f6bcfcc5 100644
--- a/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererSign.java
+++ b/game/client/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererSign.java
@@ -21,9 +21,9 @@ import net.minecraft.core.enums.EnumSignPicture;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
+import org.joml.primitives.AABBd;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 import org.useless.dragonfly.models.entity.StaticEntityModel;
@@ -32,8 +32,7 @@ import java.util.ArrayList;
 import java.util.Iterator;
 import java.util.List;
 
-public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
-{
+public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign> {
 
     private final Minecraft mc = Minecraft.getMinecraft();
     private final @NotNull StringBuilder builder = new StringBuilder();
@@ -47,22 +46,23 @@ public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
         }
     }
 
-     @Override
-	public void doRender(final @NotNull Tessellator t, final @NotNull TileEntitySign tileEntity, final double x, final double y, final double z, final float partialTick) {
+    @Override
+    public void doRender(final @NotNull Tessellator t, final @NotNull TileEntitySign tileEntity, final double x, final double y, final double z, final float partialTick) {
         final Block<?> block = tileEntity.getBlock();
-        if (block == null || !(block.getLogic() instanceof BlockLogicSign)) return; // Check to make sure the block for the entity is present before rendering, some edge cases have the tile entity loaded before the block data and can cause a crash
+        if (block == null || !(block.getLogic() instanceof BlockLogicSign sign))
+            return; // Check to make sure the block for the entity is present before rendering, some edge cases have the tile entity loaded before the block data and can cause a crash
 
         GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         GL11.glPushMatrix();
 
         final StaticEntityModel model;
 
-        final float scale = 2/3f * 1/16f;
+        final float scale = 2 / 3f * 1 / 16f;
         final float height;
-        GL11.glTranslatef((float)x + 0.5F, (float)y, (float)z + 0.5F);
+        GL11.glTranslatef((float) x + 0.5F, (float) y, (float) z + 0.5F);
         final int meta = tileEntity.getBlockMeta();
-        if (((BlockLogicSign) block.getLogic()).isFreeStanding) {
-            final float angle = (float)((meta & BlockLogicSign.MASK_SIDE) * 360) / 16F;
+        if (sign.isFreeStanding) {
+            final float angle = (float) ((meta & BlockLogicSign.MASK_SIDE) * 360) / 16F;
             GL11.glRotatef(-angle, 0.0F, 1.0F, 0.0F);
             model = getModel("post");
             height = 20;
@@ -114,7 +114,8 @@ public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
         GL11.glDepthMask(false);
         GL11.glColor4f(1, 1, 1, 1);
         final EnumSignPicture picture = tileEntity.getPicture();
-        if (picture != EnumSignPicture.NONE) drawTexturedModalRect(1, 0.5, colorSign,TextureRegistry.getTexture(picture.getTextureKey()));
+        if (picture != EnumSignPicture.NONE)
+            drawTexturedModalRect(1, 0.5, colorSign, TextureRegistry.getTexture(picture.getTextureKey()));
         GL11.glDisable(GL11.GL_BLEND);
         GL11.glPopMatrix();
 
@@ -125,7 +126,7 @@ public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
         if (tileEntity.isGlowing()) {
             lightLevel = 1f;
             lightOffset = 96f;
-            if(LightmapHelper.isLightmapEnabled()) {
+            if (LightmapHelper.isLightmapEnabled()) {
                 LightmapHelper.setLightmapCoord(LightmapHelper.getLightmapCoord(15, 15));
             }
         }
@@ -137,8 +138,8 @@ public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
         GL11.glDepthMask(false);
         int color = Colors.allSignColors[tileEntity.getColor().id].getARGB();
         final int r = (int) MathHelper.clamp((Color.redFromInt(color) * lightLevel + lightOffset), 0, 255);
-        final int g = (int)MathHelper.clamp((Color.greenFromInt(color) * lightLevel + lightOffset), 0, 255);
-        final int b = (int)MathHelper.clamp((Color.blueFromInt(color) * lightLevel + lightOffset), 0, 255);
+        final int g = (int) MathHelper.clamp((Color.greenFromInt(color) * lightLevel + lightOffset), 0, 255);
+        final int b = (int) MathHelper.clamp((Color.blueFromInt(color) * lightLevel + lightOffset), 0, 255);
         color = Color.intToIntARGB(0, r, g, b);
 
         CharSequence line1 = tileEntity.signText[0];
@@ -165,11 +166,11 @@ public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
                 break;
         }
         final int _x = 0;
-        final int _y = - tileEntity.signText.length * 5;
+        final int _y = -tileEntity.signText.length * 5;
         if (tileEntity.isGlowing() && this.mc.gameSettings.fancyGraphics.value >= 1) {
             this.textMeshRenderer.render(sr, t, line1, line2, line3, line4, _x, _y, SF.setOutlined(SF.setColor(0, color)));
         } else {
-            this.textMeshRenderer.render(sr,t, line1, line2, line3, line4, _x, _y, SF.setColor(0, color));
+            this.textMeshRenderer.render(sr, t, line1, line2, line3, line4, _x, _y, SF.setColor(0, color));
         }
         GL11.glPopMatrix();
 
@@ -179,17 +180,15 @@ public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
         GL11.glDisable(GL12.GL_RESCALE_NORMAL);
     }
 
-    private static void drawTexturedModalRect(final double width, final double height, final int color, final @NotNull IconCoordinate coordinate)
-    {
-        if (coordinate == null) return;
+    private static void drawTexturedModalRect(final double width, final double height, final int color, final @NotNull IconCoordinate coordinate) {
         coordinate.parentAtlas.bind();
         final Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.setColorRGBA_I(color, 128);
-        tessellator.addVertexWithUV(-width/2,  height/2, 0, coordinate.getIconUMin(),coordinate.getIconVMin());
-        tessellator.addVertexWithUV(-width/2, -height/2, 0, coordinate.getIconUMin(),coordinate.getIconVMax());
-        tessellator.addVertexWithUV( width/2, -height/2, 0, coordinate.getIconUMax(),coordinate.getIconVMax());
-        tessellator.addVertexWithUV( width/2,  height/2, 0, coordinate.getIconUMax(),coordinate.getIconVMin());
+        tessellator.addVertexWithUV(-width / 2, height / 2, 0, coordinate.getIconUMin(), coordinate.getIconVMin());
+        tessellator.addVertexWithUV(-width / 2, -height / 2, 0, coordinate.getIconUMin(), coordinate.getIconVMax());
+        tessellator.addVertexWithUV(width / 2, -height / 2, 0, coordinate.getIconUMax(), coordinate.getIconVMax());
+        tessellator.addVertexWithUV(width / 2, height / 2, 0, coordinate.getIconUMax(), coordinate.getIconVMin());
         tessellator.draw();
     }
 
@@ -205,7 +204,7 @@ public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
 
     @Override
     public boolean isVisible(@NotNull final TileEntitySign tileEntity, final @NotNull ICamera camera, final float partialTick) {
-        return camera.getFrustum().isVisible(AABB.fromPool(tileEntity.x, tileEntity.y, tileEntity.z, tileEntity.x + 1, tileEntity.y + 1, tileEntity.z + 1), partialTick);
+        return camera.getFrustum().isVisible(new AABBd(tileEntity.x, tileEntity.y, tileEntity.z, tileEntity.x + 1, tileEntity.y + 1, tileEntity.z + 1), partialTick);
     }
 
     public static class BufferedTextMeshRenderer {
